# studio::HistoryTreeStore::Model Class Reference

`#include <historytreestore.h>`

List of all members.

## Public Member Functions

| Model ()

## Public Attributes

Gtk::TreeModelColumn < etl::handle < synfigapp::Action::Undoable > > | action
Gtk::TreeModelColumn < Glib::ustring > | name
Gtk::TreeModelColumn < Glib::RefPtr< Gdk::Pixbuf > > | icon
Gtk::TreeModelColumn< bool > | is_active
Gtk::TreeModelColumn< bool > | is_undo
Gtk::TreeModelColumn< bool > | is_redo
Gtk::TreeModelColumn < Glib::ustring > | canvas_id
Gtk::TreeModelColumn < synfig::Canvas::Handle > | canvas

## Constructor & Destructor Documentation

studio::HistoryTreeStore::Model::Model | ( |  | ) | `[inline]`

References action, canvas, canvas_id, icon, is_active, is_redo, is_undo, and name.

## Member Data Documentation

Gtk::TreeModelColumn<etl::handle<synfigapp::Action::Undoable> > studio::HistoryTreeStore::Model::action

Referenced by studio::HistoryTreeStore::insert_action(), Model(), studio::Dock_History::on_action_event(), and studio::Dock_History::on_action_toggle().

Gtk::TreeModelColumn<Glib::ustring> studio::HistoryTreeStore::Model::name

Referenced by studio::HistoryTreeStore::insert_action(), and Model().

Gtk::TreeModelColumn<Glib::RefPtr<Gdk::Pixbuf> > studio::HistoryTreeStore::Model::icon

Referenced by Model().

Gtk::TreeModelColumn<bool> studio::HistoryTreeStore::Model::is_active

Referenced by studio::HistoryTreeStore::insert_action(), and Model().

Gtk::TreeModelColumn<bool> studio::HistoryTreeStore::Model::is_undo

Referenced by studio::HistoryTreeStore::insert_action(), Model(), and studio::Dock_History::on_action_event().

Gtk::TreeModelColumn<bool> studio::HistoryTreeStore::Model::is_redo

Referenced by studio::HistoryTreeStore::insert_action(), Model(), and studio::Dock_History::on_action_event().

Gtk::TreeModelColumn<Glib::ustring> studio::HistoryTreeStore::Model::canvas_id

Referenced by studio::HistoryTreeStore::insert_action(), and Model().

Gtk::TreeModelColumn<synfig::Canvas::Handle> studio::HistoryTreeStore::Model::canvas

Referenced by studio::HistoryTreeStore::insert_action(), and Model().

The documentation for this class was generated from the following file:

- historytreestore.h